`HttpRouter` makes it very simple to register routes and to handle middleware.

All you have to do is this
```Dart
import 'dart:io' as io;
final server = await io.HttpServer.bind(address, port);

router.register('/', get: indexHandler);
router.register('/index', get: indexHandler);
router.register('/doc', post: registerMiddleware(docHandler, before: [authMiddleware]));

await for (final request in server) {
    router.handleRequest(request);
}
```
Or, to use specific middleware on all routes, you can create a `HttpChildRouter` 
```Dart
final authRouter = router.child(before: [authMiddleware]);
authRouter.register('/', get: indexHandler);
authRouter.register('/index', get: indexHandler);
authRouter.register('/doc', post: docHandler);
```
