import 'dart:async';

import 'dart:io';
import 'router.dart' show Context;

/// Middleware is common functionality that can be shared between multiple routes.
/// It can be, for example, used to modify or verify the [HttpRequest] or [HttpResponse].
typedef Middleware = FutureOr<void> Function(HttpRequest, Context);

/// Handlers perform the the action that is requested by an [HttpRequest]
/// and are route specific.
typedef Handler = FutureOr<void> Function(HttpRequest, Context);
